# norootforbuild

%if %suse_version >= 930
%if 0%{?_without_jabber:1}
%else
%define with_jabber 1
%endif
%endif

Name:				climm
Version:			0.7.1
Release:			2.3
Summary:			Console-Based ICQ Client
Source:			http://www.climm.org/source/climm-%{version}.tar.bz2
Source1:			climm.desktop
URL:				http://www.climm.org/
Group:			Productivity/Networking/ICQ
License:			GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	make gcc glibc-devel gcc-c++ libstdc++-devel pkgconfig
BuildRequires:	tcl tcl-devel
%if %suse_version <= 1030
BuildRequires:  gnutls-devel
%else
BuildRequires:  libgnutls-devel
%endif
BuildRequires:	libotr-devel
BuildRequires:	iksemel-devel
%if %suse_version >= 1010
BuildRequires:	libotr-devel
%endif
BuildRequires:	autoconf automake libtool
%if 0%{?suse_version:1}
BuildRequires:	update-desktop-files
%endif
%if %{?with_jabber:1}0
BuildRequires:	zlib-devel libidn-devel
BuildRequires:	libgloox-devel >= 0.9.0
%endif
Obsoletes:		micq
Provides:		micq = %{version}-%{release}

%description
Climm is a portable, small, and powerful console based ICQ client formerly
known as "micq".

It supports password changing, auto-away, creation of new accounts, searching,
file transfer, acknowledged messages, SMS, client identification, logging,
scripting, transcoding, multi-UIN usage, and other features that make it a
very complete and simple internationalized client that supports the current
ICQ v8 protocol as well as XMPP/Jabber.

It has leading support for (ICQ2002+/ICQ Lite/ICQ2go) Unicode encoded messages
unreached by other ICQ clones.
%if %{?with_jabber:1}0
%else
This package is built without Jabber/XMPP support.
%endif




Authors:
--------
    Matthew D. Smith (deceased)
    Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>

%debug_package
%prep
%setup -q

%build
export CFLAGS="%{optflags} -DLIBGLOOX_VERSION=0x000901"
export CXXFLAGS="$CFLAGS"
%configure \
	--enable-ssl=gnutls \
	--enable-tcl \
%if %{?with_jabber:1}0
	--enable-xmpp \
%else
	--disable-xmpp \
%endif
	--disable-msn \
	--enable-peer2peer \
	--enable-largefile \
	--enable-remote \
	--disable-autopackage

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/climm.desktop"
%__install -D -m 0644 doc/climm@48x48.png "%{buildroot}%{_datadir}/pixmaps/climm.png"
%if 0%{?suse_version:1}
%suse_update_desktop_file -r "%{name}" Network InstantMessaging
%endif

echo -n > "%{name}.lang"
LANGFILE="${PWD}/%{name}.lang"
pushd "%{buildroot}%{_datadir}/climm"
find . -name '[a-z]*.i18n' | while read x; do
	file=${x#./}
	lang=${file%%.i18n}
	echo "%lang(${lang}) %{_datadir}/climm/${file}" >> "${LANGFILE}"
done
popd
ln -sf climm %{buildroot}%{_bindir}/micq

%clean
%__rm -rf "%{buildroot}"

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* FAQ NEWS README TODO
%doc contrib doc/icq091.txt doc/icqv7.txt doc/README*
%doc doc/climm@16x16.png
%doc doc/example-climm-event-script
%{_bindir}/climm
%{_bindir}/micq
%dir %{_mandir}/ru
%dir %{_mandir}/se
%dir %{_mandir}/sk
%dir %{_mandir}/sr
%dir %{_mandir}/uk
%dir %{_mandir}/de/man7
%dir %{_mandir}/es/man7
%dir %{_mandir}/fr/man7
%dir %{_mandir}/ru/man7
%dir %{_mandir}/se/man7
%dir %{_mandir}/sk/man7
%dir %{_mandir}/sr/man7
%dir %{_mandir}/uk/man7
%dir %{_mandir}/pt_BR/man7
%dir %{_mandir}/pt_BR/man5
%dir %{_mandir}/ru/man1
%dir %{_mandir}/ru/man5
%dir %{_mandir}/se/man1
%dir %{_mandir}/se/man5
%dir %{_mandir}/sk/man1
%dir %{_mandir}/sk/man5
%dir %{_mandir}/sr/man1
%dir %{_mandir}/sr/man5
%dir %{_mandir}/uk/man1
%doc %{_mandir}/man1/climm.1*
%doc %{_mandir}/man5/climmrc.5*
%doc %{_mandir}/man7/climmcmds.7*
%doc %{_mandir}/*/man1/climm.1*
%doc %{_mandir}/*/man5/climmrc.5*
%doc %{_mandir}/*/man7/climmcmds.7*
%dir %{_datadir}/climm
%{_datadir}/climm/C.i18n
%{_datadir}/applications/climm.desktop
%{_datadir}/pixmaps/climm.png

%changelog
* Sat Jul 25 2009 Carsten Schoene <cs@linux-administrator.com> - 0.7-1
- update to release 0.7
* Sat Jan 10 2009 Carsten Schoene <cs@linux-administrator.com>
- update release to 0.6.3
* Sun Mar  2 2008 Pascal Bleser <guru@unixtech.be> 
- new upstream version
* Tue Oct 16 2007 Pascal Bleser <guru@unixtech.be> 
- added backport from climm SVN to build against libgloox 0.9.x
- enable msn support
- enable OTR support
- update to 0.6.1
* Sat Sep 15 2007 Pascal Bleser <guru@unixtech.be> 
- update to 0.6
- renamed to climm
* Thu Aug 23 2007 Pascal Bleser <guru@unixtech.be> 
- build against openssl instead of gnutls
* Sun Aug 20 2007 Pascal Bleser <guru@unixtech.be> 
- fixed configure parameter: it's --enable-xmpp now, not --enable-jabber any more
* Sun Aug 19 2007 Pascal Bleser <guru@unixtech.be>
- update to 0.5.4.2
* Mon Jun 11 2007 Pascal Bleser <guru@unixtech.be>
- updating to 0.5.4.1
* Sat Jun  9 2007 Pascal Bleser <guru@unixtech.be>
- initial build service submission

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
